# GimpUi.PickButton

    from gi.repository import GimpUi

    pick_button = GimpUi.PickButton()

GimpUi.PickButton is a specialized button. When clicked, it changes the cursor to a color-picker pipette and allows the user to pick a color from any point on the screen.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Bin
          - Gtk.Button
            - GimpUi.PickButton

## Signals

- color-picked

## Virtual functions

- GimpUi.PickButton::color_picked

## Fields

- GimpUi.PickButton->parent_instance